Index: /trunk/src/wp-admin/about.php
===================================================================
--- /trunk/src/wp-admin/about.php	(revision 38458)
+++ /trunk/src/wp-admin/about.php	(revision 38459)
@@ -43,5 +43,5 @@
 $title = __( 'About' );
 
-list( $display_version ) = explode( '-', $wp_version );
+list( $display_version ) = explode( '-', get_bloginfo( 'version' ) );
 
 include( ABSPATH . 'wp-admin/admin-header.php' );
Index: /trunk/src/wp-admin/admin-header.php
===================================================================
--- /trunk/src/wp-admin/admin-header.php	(revision 38458)
+++ /trunk/src/wp-admin/admin-header.php	(revision 38459)
@@ -19,10 +19,9 @@
  * @global WP_Locale $wp_locale
  * @global string    $pagenow
- * @global string    $wp_version
  * @global string    $update_title
  * @global int       $total_update_count
  * @global string    $parent_file
  */
-global $title, $hook_suffix, $current_screen, $wp_locale, $pagenow, $wp_version,
+global $title, $hook_suffix, $current_screen, $wp_locale, $pagenow,
 	$update_title, $total_update_count, $parent_file;
 
@@ -155,6 +154,6 @@
 	$admin_body_class .= ' taxonomy-' . $current_screen->taxonomy;
 
-$admin_body_class .= ' branch-' . str_replace( array( '.', ',' ), '-', floatval( $wp_version ) );
-$admin_body_class .= ' version-' . str_replace( '.', '-', preg_replace( '/^([.0-9]+).*/', '$1', $wp_version ) );
+$admin_body_class .= ' branch-' . str_replace( array( '.', ',' ), '-', floatval( get_bloginfo( 'version' ) ) );
+$admin_body_class .= ' version-' . str_replace( '.', '-', preg_replace( '/^([.0-9]+).*/', '$1', get_bloginfo( 'version' ) ) );
 $admin_body_class .= ' admin-color-' . sanitize_html_class( get_user_option( 'admin_color' ), 'fresh' );
 $admin_body_class .= ' locale-' . sanitize_html_class( strtolower( str_replace( '_', '-', get_locale() ) ) );
Index: /trunk/src/wp-admin/credits.php
===================================================================
--- /trunk/src/wp-admin/credits.php	(revision 38458)
+++ /trunk/src/wp-admin/credits.php	(revision 38459)
@@ -13,5 +13,5 @@
 $title = __( 'Credits' );
 
-list( $display_version ) = explode( '-', $wp_version );
+list( $display_version ) = explode( '-', get_bloginfo( 'version' ) );
 
 include( ABSPATH . 'wp-admin/admin-header.php' );
Index: /trunk/src/wp-admin/freedoms.php
===================================================================
--- /trunk/src/wp-admin/freedoms.php	(revision 38458)
+++ /trunk/src/wp-admin/freedoms.php	(revision 38459)
@@ -12,5 +12,5 @@
 $title = __( 'Freedoms' );
 
-list( $display_version ) = explode( '-', $wp_version );
+list( $display_version ) = explode( '-', get_bloginfo( 'version' ) );
 
 include( ABSPATH . 'wp-admin/admin-header.php' );
Index: /trunk/src/wp-admin/includes/class-wp-automatic-updater.php
===================================================================
--- /trunk/src/wp-admin/includes/class-wp-automatic-updater.php	(revision 38458)
+++ /trunk/src/wp-admin/includes/class-wp-automatic-updater.php	(revision 38459)
@@ -372,11 +372,6 @@
 	 * @since 3.7.0
 	 * @access public
-	 *
-	 * @global wpdb   $wpdb
-	 * @global string $wp_version
 	 */
 	public function run() {
-		global $wpdb, $wp_version;
-
 		if ( $this->is_disabled() )
 			return;
@@ -458,5 +453,5 @@
 		// Send debugging email to all development installs.
 		if ( ! empty( $this->update_results ) ) {
-			$development_version = false !== strpos( $wp_version, '-' );
+			$development_version = false !== strpos( get_bloginfo( 'version' ), '-' );
 
 			/**
@@ -495,10 +490,8 @@
 	 * @access protected
 	 *
-	 * @global string $wp_version
-	 *
 	 * @param object $update_result The result of the core update. Includes the update offer and result.
 	 */
 	protected function after_core_update( $update_result ) {
-		global $wp_version;
+		$wp_version = get_bloginfo( 'version' );
 
 		$core_update = $update_result->item;
@@ -585,6 +578,4 @@
 	 * @access protected
 	 *
-	 * @global string $wp_version
-	 *
 	 * @param string $type        The type of email to send. Can be one of 'success', 'fail', 'manual', 'critical'.
 	 * @param object $core_update The update offer that was attempted.
@@ -723,5 +714,5 @@
 		if ( 'critical' == $type && is_wp_error( $result ) ) {
 			$body .= "\n***\n\n";
-			$body .= sprintf( __( 'Your site was running version %s.' ), $GLOBALS['wp_version'] );
+			$body .= sprintf( __( 'Your site was running version %s.' ), get_bloginfo( 'version' ) );
 			$body .= ' ' . __( 'We have some data that describes the error your site encountered.' );
 			$body .= ' ' . __( 'Your hosting company, support forum volunteers, or a friendly developer may be able to use this information to help you:' );
Index: /trunk/src/wp-admin/includes/class-wp-plugin-install-list-table.php
===================================================================
--- /trunk/src/wp-admin/includes/class-wp-plugin-install-list-table.php	(revision 38458)
+++ /trunk/src/wp-admin/includes/class-wp-plugin-install-list-table.php	(revision 38459)
@@ -70,5 +70,4 @@
 	 * @global string $type
 	 * @global string $term
-	 * @global string $wp_version
 	 */
 	public function prepare_items() {
@@ -89,5 +88,5 @@
 			$tabs['search'] = __( 'Search Results' );
 		}
-		if ( $tab === 'beta' || false !== strpos( $GLOBALS['wp_version'], '-' ) ) {
+		if ( $tab === 'beta' || false !== strpos( get_bloginfo( 'version' ), '-' ) ) {
 			$tabs['beta'] = _x( 'Beta Testing', 'Plugin Installer' );
 		}
@@ -392,7 +391,4 @@
 	}
 
-	/**
-	 * @global string $wp_version
-	 */
 	public function display_rows() {
 		$plugins_allowedtags = array(
@@ -575,7 +571,9 @@
 				<div class="column-compatibility">
 					<?php
-					if ( ! empty( $plugin['tested'] ) && version_compare( substr( $GLOBALS['wp_version'], 0, strlen( $plugin['tested'] ) ), $plugin['tested'], '>' ) ) {
+					$wp_version = get_bloginfo( 'version' );
+
+					if ( ! empty( $plugin['tested'] ) && version_compare( substr( $wp_version, 0, strlen( $plugin['tested'] ) ), $plugin['tested'], '>' ) ) {
 						echo '<span class="compatibility-untested">' . __( 'Untested with your version of WordPress' ) . '</span>';
-					} elseif ( ! empty( $plugin['requires'] ) && version_compare( substr( $GLOBALS['wp_version'], 0, strlen( $plugin['requires'] ) ), $plugin['requires'], '<' ) ) {
+					} elseif ( ! empty( $plugin['requires'] ) && version_compare( substr( $wp_version, 0, strlen( $plugin['requires'] ) ), $plugin['requires'], '<' ) ) {
 						echo '<span class="compatibility-incompatible">' . __( '<strong>Incompatible</strong> with your version of WordPress' ) . '</span>';
 					} else {
Index: /trunk/src/wp-admin/includes/class-wp-press-this.php
===================================================================
--- /trunk/src/wp-admin/includes/class-wp-press-this.php	(revision 38458)
+++ /trunk/src/wp-admin/includes/class-wp-press-this.php	(revision 38459)
@@ -268,6 +268,4 @@
 	 */
 	public function fetch_source_html( $url ) {
-		global $wp_version;
-
 		if ( empty( $url ) ) {
 			return new WP_Error( 'invalid-url', __( 'A valid URL was not provided.' ) );
@@ -277,5 +275,5 @@
 			'timeout' => 30,
 			// Use an explicit user-agent for Press This
-			'user-agent' => 'Press This (WordPress/' . $wp_version . '); ' . get_bloginfo( 'url' )
+			'user-agent' => 'Press This (WordPress/' . get_bloginfo( 'version' ) . '); ' . get_bloginfo( 'url' )
 		) );
 
@@ -1190,9 +1188,10 @@
 	 *
 	 * @global WP_Locale $wp_locale
-	 * @global string    $wp_version
 	 * @global bool      $is_IE
 	 */
 	public function html() {
-		global $wp_locale, $wp_version;
+		global $wp_locale;
+
+		$wp_version = get_bloginfo( 'version' );
 
 		// Get data, new (POST) and old (GET).
Index: /trunk/src/wp-admin/includes/credits.php
===================================================================
--- /trunk/src/wp-admin/includes/credits.php	(revision 38458)
+++ /trunk/src/wp-admin/includes/credits.php	(revision 38459)
@@ -11,6 +11,4 @@
  * Retrieve the contributor credits.
  *
- * @global string $wp_version The current WordPress version.
- *
  * @since 3.2.0
  *
@@ -18,5 +16,5 @@
  */
 function wp_credits() {
-	global $wp_version;
+	$wp_version = get_bloginfo( 'version' );
 	$locale = get_locale();
 
@@ -27,5 +25,5 @@
 		|| ( isset( $results['data']['version'] ) && strpos( $wp_version, $results['data']['version'] ) !== 0 )
 	) {
-		$response = wp_remote_get( "http://api.wordpress.org/core/credits/1.1/?version=$wp_version&locale=$locale" );
+		$response = wp_remote_get( "http://api.wordpress.org/core/credits/1.1/?version={$wp_version}&locale={$locale}" );
 
 		if ( is_wp_error( $response ) || 200 != wp_remote_retrieve_response_code( $response ) )
Index: /trunk/src/wp-admin/includes/dashboard.php
===================================================================
--- /trunk/src/wp-admin/includes/dashboard.php	(revision 38458)
+++ /trunk/src/wp-admin/includes/dashboard.php	(revision 38459)
@@ -1394,6 +1394,4 @@
  * @since 3.2.0
  *
- * @global string $wp_version
- *
  * @return array|bool False on failure, array of browser data on success.
  */
@@ -1405,9 +1403,7 @@
 
 	if ( false === ($response = get_site_transient('browser_' . $key) ) ) {
-		global $wp_version;
-
 		$options = array(
 			'body'			=> array( 'useragent' => $_SERVER['HTTP_USER_AGENT'] ),
-			'user-agent'	=> 'WordPress/' . $wp_version . '; ' . home_url()
+			'user-agent'	=> 'WordPress/' . get_bloginfo( 'version' ) . '; ' . home_url()
 		);
 
Index: /trunk/src/wp-admin/includes/plugin-install.php
===================================================================
--- /trunk/src/wp-admin/includes/plugin-install.php	(revision 38458)
+++ /trunk/src/wp-admin/includes/plugin-install.php	(revision 38459)
@@ -424,5 +424,4 @@
  *
  * @global string $tab
- * @global string $wp_version
  */
 function install_plugin_information() {
@@ -631,7 +630,9 @@
 	<div id="section-holder" class="wrap">
 	<?php
-	if ( ! empty( $api->tested ) && version_compare( substr( $GLOBALS['wp_version'], 0, strlen( $api->tested ) ), $api->tested, '>' ) ) {
+	$wp_version = get_bloginfo( 'version' );
+
+	if ( ! empty( $api->tested ) && version_compare( substr( $wp_version, 0, strlen( $api->tested ) ), $api->tested, '>' ) ) {
 		echo '<div class="notice notice-warning notice-alt"><p>' . __( '<strong>Warning:</strong> This plugin has <strong>not been tested</strong> with your current version of WordPress.' ) . '</p></div>';
-	} elseif ( ! empty( $api->requires ) && version_compare( substr( $GLOBALS['wp_version'], 0, strlen( $api->requires ) ), $api->requires, '<' ) ) {
+	} elseif ( ! empty( $api->requires ) && version_compare( substr( $wp_version, 0, strlen( $api->requires ) ), $api->requires, '<' ) ) {
 		echo '<div class="notice notice-warning notice-alt"><p>' . __( '<strong>Warning:</strong> This plugin has <strong>not been marked as compatible</strong> with your version of WordPress.' ) . '</p></div>';
 	}
Index: /trunk/src/wp-admin/plugin-editor.php
===================================================================
--- /trunk/src/wp-admin/plugin-editor.php	(revision 38458)
+++ /trunk/src/wp-admin/plugin-editor.php	(revision 38459)
@@ -261,5 +261,5 @@
 		</div>
 		<?php if ( !empty( $docs_select ) ) : ?>
-		<div id="documentation" class="hide-if-no-js"><label for="docs-list"><?php _e('Documentation:') ?></label> <?php echo $docs_select ?> <input type="button" class="button" value="<?php esc_attr_e( 'Look Up' ) ?> " onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'https://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( $wp_version ) ?>&amp;redirect=true'); }" /></div>
+		<div id="documentation" class="hide-if-no-js"><label for="docs-list"><?php _e('Documentation:') ?></label> <?php echo $docs_select ?> <input type="button" class="button" value="<?php esc_attr_e( 'Look Up' ) ?> " onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'https://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( get_bloginfo( 'version' ) ) ?>&amp;redirect=true'); }" /></div>
 		<?php endif; ?>
 <?php if ( is_writeable($real_file) ) : ?>
Index: /trunk/src/wp-admin/theme-editor.php
===================================================================
--- /trunk/src/wp-admin/theme-editor.php	(revision 38458)
+++ /trunk/src/wp-admin/theme-editor.php	(revision 38459)
@@ -264,5 +264,5 @@
 		<label for="docs-list"><?php _e('Documentation:') ?></label>
 		<?php echo $docs_select; ?>
-		<input type="button" class="button" value="<?php esc_attr_e( 'Look Up' ); ?>" onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'https://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( $wp_version ) ?>&amp;redirect=true'); }" />
+		<input type="button" class="button" value="<?php esc_attr_e( 'Look Up' ); ?>" onclick="if ( '' != jQuery('#docs-list').val() ) { window.open( 'https://api.wordpress.org/core/handbook/1.0/?function=' + escape( jQuery( '#docs-list' ).val() ) + '&amp;locale=<?php echo urlencode( get_locale() ) ?>&amp;version=<?php echo urlencode( get_bloginfo( 'version' ) ) ?>&amp;redirect=true'); }" />
 		</div>
 	<?php endif; ?>
Index: /trunk/src/wp-admin/update-core.php
===================================================================
--- /trunk/src/wp-admin/update-core.php	(revision 38458)
+++ /trunk/src/wp-admin/update-core.php	(revision 38459)
@@ -27,5 +27,4 @@
  * @global string $wp_local_package
  * @global wpdb   $wpdb
- * @global string $wp_version
  *
  * @staticvar bool $first_pass
@@ -34,6 +33,8 @@
  */
 function list_core_update( $update ) {
- 	global $wp_local_package, $wpdb, $wp_version;
+ 	global $wp_local_package, $wpdb;
   	static $first_pass = true;
+
+	$wp_version = get_bloginfo( 'version' );
 
  	if ( 'en_US' == $update->locale && 'en_US' == get_locale() )
@@ -150,11 +151,11 @@
  * @since 2.7.0
  *
- * @global string $wp_version
  * @global string $required_php_version
  * @global string $required_mysql_version
  */
 function core_upgrade_preamble() {
-	global $wp_version, $required_php_version, $required_mysql_version;
-
+	global $required_php_version, $required_mysql_version;
+
+	$wp_version = get_bloginfo( 'version' );
 	$updates = get_core_updates();
 
@@ -212,12 +213,7 @@
 }
 
-/**
- *
- * @global string $wp_version
- */
 function list_plugin_updates() {
-	global $wp_version;
-
-	$cur_wp_version = preg_replace('/-.*$/', '', $wp_version);
+	$wp_version = get_bloginfo( 'version' );
+	$cur_wp_version = preg_replace( '/-.*$/', '', $wp_version );
 
 	require_once(ABSPATH . 'wp-admin/includes/plugin-install.php');
Index: /trunk/src/wp-includes/class-http.php
===================================================================
--- /trunk/src/wp-includes/class-http.php	(revision 38458)
+++ /trunk/src/wp-includes/class-http.php	(revision 38459)
@@ -102,6 +102,4 @@
 	 * @since 2.7.0
 	 *
-	 * @global string $wp_version
-	 *
 	 * @param string       $url  The request URL.
 	 * @param string|array $args {
@@ -117,5 +115,5 @@
 	 *                                             Default '1.0'.
 	 *     @type string       $user-agent          User-agent value sent.
-	 *                                             Default WordPress/' . $wp_version . '; ' . get_bloginfo( 'url' ).
+	 *                                             Default WordPress/' . get_bloginfo( 'version' ) . '; ' . get_bloginfo( 'url' ).
 	 *     @type bool         $reject_unsafe_urls  Whether to pass URLs through wp_http_validate_url().
 	 *                                             Default false.
@@ -149,6 +147,4 @@
 	 */
 	public function request( $url, $args = array() ) {
-		global $wp_version;
-
 		$defaults = array(
 			'method' => 'GET',
@@ -186,5 +182,5 @@
 			 * @param string $user_agent WordPress user agent string.
 			 */
-			'user-agent' => apply_filters( 'http_headers_useragent', 'WordPress/' . $wp_version . '; ' . get_bloginfo( 'url' ) ),
+			'user-agent' => apply_filters( 'http_headers_useragent', 'WordPress/' . get_bloginfo( 'version' ) . '; ' . get_bloginfo( 'url' ) ),
 			/**
 			 * Filters whether to pass URLs through wp_http_validate_url() in an HTTP request.
Index: /trunk/src/wp-includes/class-wp-editor.php
===================================================================
--- /trunk/src/wp-includes/class-wp-editor.php	(revision 38458)
+++ /trunk/src/wp-includes/class-wp-editor.php	(revision 38459)
@@ -297,5 +297,4 @@
 	 * @static
 	 *
-	 * @global string $wp_version
 	 * @global string $tinymce_version
 	 *
@@ -304,5 +303,5 @@
 	 */
 	public static function editor_settings($editor_id, $set) {
-		global $wp_version, $tinymce_version;
+		global $tinymce_version;
 
 		if ( empty(self::$first_init) ) {
@@ -560,5 +559,5 @@
 
 				$suffix = SCRIPT_DEBUG ? '' : '.min';
-				$version = 'ver=' . $wp_version;
+				$version = 'ver=' . get_bloginfo( 'version' );
 				$dashicons = includes_url( "css/dashicons$suffix.css?$version" );
 
@@ -1132,5 +1131,4 @@
 	 *
 	 * @static
-	 * @global string $wp_version
 	 * @global string $tinymce_version
 	 * @global bool   $concatenate_scripts
@@ -1138,5 +1136,5 @@
 	 */
 	public static function editor_js() {
-		global $wp_version, $tinymce_version, $concatenate_scripts, $compress_scripts;
+		global $tinymce_version, $concatenate_scripts, $compress_scripts;
 
 		/**
@@ -1216,5 +1214,5 @@
 		$baseurl = self::$baseurl;
 		// Load tinymce.js when running from /src, else load wp-tinymce.js.gz (production) or tinymce.min.js (SCRIPT_DEBUG)
-		$mce_suffix = false !== strpos( $wp_version, '-src' ) ? '' : '.min';
+		$mce_suffix = false !== strpos( get_bloginfo( 'version' ), '-src' ) ? '' : '.min';
 
 		if ( $tmce_on ) {
Index: /trunk/src/wp-includes/class-wp-locale.php
===================================================================
--- /trunk/src/wp-includes/class-wp-locale.php	(revision 38458)
+++ /trunk/src/wp-includes/class-wp-locale.php	(revision 38459)
@@ -126,5 +126,4 @@
 	 *
 	 * @global string $text_direction
-	 * @global string $wp_version
 	 */
 	public function init() {
@@ -232,5 +231,5 @@
 			$this->text_direction = 'rtl';
 
-		if ( 'rtl' === $this->text_direction && strpos( $GLOBALS['wp_version'], '-src' ) ) {
+		if ( 'rtl' === $this->text_direction && strpos( get_bloginfo( 'version' ), '-src' ) ) {
 			$this->text_direction = 'ltr';
 			add_action( 'all_admin_notices', array( $this, 'rtl_src_admin_notice' ) );
Index: /trunk/src/wp-includes/class-wp-xmlrpc-server.php
===================================================================
--- /trunk/src/wp-includes/class-wp-xmlrpc-server.php	(revision 38458)
+++ /trunk/src/wp-includes/class-wp-xmlrpc-server.php	(revision 38459)
@@ -414,10 +414,6 @@
 	 *
 	 * @since 2.6.0
-	 *
-	 * @global string $wp_version
 	 */
 	public function initialise_blog_option_info() {
-		global $wp_version;
-
 		$this->blog_options = array(
 			// Read only options
@@ -430,5 +426,5 @@
 				'desc'          => __( 'Software Version' ),
 				'readonly'      => true,
-				'value'         => $wp_version
+				'value'         => get_bloginfo( 'version' )
 			),
 			'blog_url'          => array(
@@ -6187,6 +6183,4 @@
 	 * @since 1.5.0
 	 *
-	 * @global string $wp_version
-	 *
 	 * @param array  $args {
 	 *     Method arguments. Note: arguments must be ordered as documented.
@@ -6198,6 +6192,4 @@
 	 */
 	public function pingback_ping( $args ) {
-		global $wp_version;
-
 		/** This action is documented in wp-includes/class-wp-xmlrpc-server.php */
 		do_action( 'xmlrpc_call', 'pingback.ping' );
@@ -6286,5 +6278,5 @@
 
 		/** This filter is documented in wp-includes/class-http.php */
-		$user_agent = apply_filters( 'http_headers_useragent', 'WordPress/' . $wp_version . '; ' . get_bloginfo( 'url' ) );
+		$user_agent = apply_filters( 'http_headers_useragent', 'WordPress/' . get_bloginfo( 'version' ) . '; ' . get_bloginfo( 'url' ) );
 
 		// Let's check the remote site
Index: /trunk/src/wp-includes/comment.php
===================================================================
--- /trunk/src/wp-includes/comment.php	(revision 38458)
+++ /trunk/src/wp-includes/comment.php	(revision 38459)
@@ -2363,12 +2363,8 @@
  * @since 0.71
  *
- * @global string $wp_version
- *
  * @param string $content Post content to check for links.
  * @param int $post_ID Post ID.
  */
 function pingback($content, $post_ID) {
-	global $wp_version;
-
 	// original code by Mort (http://mort.mine.nu:8080)
 	$post_links = array();
@@ -2436,5 +2432,5 @@
 			 * @param string $pagelinkedfrom      URL of page linked from.
 			 */
-			$client->useragent = apply_filters( 'pingback_useragent', $client->useragent . ' -- WordPress/' . $wp_version, $client->useragent, $pingback_server_url, $pagelinkedto, $pagelinkedfrom );
+			$client->useragent = apply_filters( 'pingback_useragent', $client->useragent . ' -- WordPress/' . get_bloginfo( 'version' ), $client->useragent, $pingback_server_url, $pagelinkedto, $pagelinkedfrom );
 			// when set to true, this outputs debug messages by itself
 			$client->debug = false;
@@ -2505,16 +2501,12 @@
  * @since 1.2.0
  *
- * @global string $wp_version
- *
  * @param string $server Host of blog to connect to.
  * @param string $path Path to send the ping.
  */
 function weblog_ping($server = '', $path = '') {
-	global $wp_version;
-
 	// using a timeout of 3 seconds should be enough to cover slow servers
 	$client = new WP_HTTP_IXR_Client($server, ((!strlen(trim($path)) || ('/' == $path)) ? false : $path));
 	$client->timeout = 3;
-	$client->useragent .= ' -- WordPress/'.$wp_version;
+	$client->useragent .= ' -- WordPress/' . get_bloginfo( 'version' );
 
 	// when set to true, this outputs debug messages by itself
Index: /trunk/src/wp-includes/formatting.php
===================================================================
--- /trunk/src/wp-includes/formatting.php	(revision 38458)
+++ /trunk/src/wp-includes/formatting.php	(revision 38459)
@@ -4928,10 +4928,6 @@
  * @since 4.6.0
  * @access private
- *
- * @global string $wp_version WordPress version string.
  */
 function _print_emoji_detection_script() {
-	global $wp_version;
-
 	$settings = array(
 		/**
@@ -4972,5 +4968,5 @@
 	);
 
-	$version = 'ver=' . $wp_version;
+	$version = 'ver=' . get_bloginfo( 'version' );
 
 	if ( SCRIPT_DEBUG ) {
Index: /trunk/src/wp-includes/general-template.php
===================================================================
--- /trunk/src/wp-includes/general-template.php	(revision 38458)
+++ /trunk/src/wp-includes/general-template.php	(revision 38459)
@@ -3345,6 +3345,4 @@
  *
  * @since 3.0.0
- *
- * @global string $wp_version
  */
 function register_admin_color_schemes() {
@@ -3359,6 +3357,7 @@
 
 	// Other color schemes are not available when running out of src
-	if ( false !== strpos( $GLOBALS['wp_version'], '-src' ) )
+	if ( false !== strpos( get_bloginfo( 'version' ), '-src' ) ) {
 		return;
+	}
 
 	wp_admin_css_color( 'light', _x( 'Light', 'admin color scheme' ),
Index: /trunk/src/wp-includes/link-template.php
===================================================================
--- /trunk/src/wp-includes/link-template.php	(revision 38458)
+++ /trunk/src/wp-includes/link-template.php	(revision 38459)
@@ -2898,9 +2898,5 @@
  * @since 2.6.0
  *
- * @global bool   $is_IE      Whether the browser matches an Internet Explorer user agent.
- * @global string $wp_version WP version.
- *
- * @global bool          $is_IE
- * @global string        $wp_version
+ * @global bool          $is_IE      Whether the browser matches an Internet Explorer user agent.
  * @global WP_Press_This $wp_press_this
  *
@@ -2908,5 +2904,5 @@
  */
 function get_shortcut_link() {
-	global $is_IE, $wp_version;
+	global $is_IE;
 
 	$GLOBALS['wp_press_this'] = new WP_Press_This();
Index: /trunk/src/wp-includes/media.php
===================================================================
--- /trunk/src/wp-includes/media.php	(revision 38458)
+++ /trunk/src/wp-includes/media.php	(revision 38459)
@@ -3811,10 +3811,8 @@
  * @since 4.0.0
  *
- * @global string $wp_version
- *
  * @return array The relevant CSS file URLs.
  */
 function wpview_media_sandbox_styles() {
- 	$version = 'ver=' . $GLOBALS['wp_version'];
+ 	$version = 'ver=' . get_bloginfo( 'version' );
  	$mediaelement = includes_url( "js/mediaelement/mediaelementplayer.min.css?$version" );
  	$wpmediaelement = includes_url( "js/mediaelement/wp-mediaelement.css?$version" );