Index: branches/4.6/tests/phpunit/tests/general/resourceHints.php
===================================================================
--- branches/4.6/tests/phpunit/tests/general/resourceHints.php	(revision 38256)
+++ branches/4.6/tests/phpunit/tests/general/resourceHints.php	(revision 38473)
@@ -32,5 +32,5 @@
 
 	function test_should_have_defaults_on_frontend() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n";
 
 		$this->expectOutputString( $expected );
@@ -40,8 +40,8 @@
 
 	function test_dns_prefetching() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n" .
-					"<link rel='dns-prefetch' href='//wordpress.org'>\n" .
-					"<link rel='dns-prefetch' href='//google.com'>\n" .
-					"<link rel='dns-prefetch' href='//make.wordpress.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n" .
+					"<link rel='dns-prefetch' href='//wordpress.org' />\n" .
+					"<link rel='dns-prefetch' href='//google.com' />\n" .
+					"<link rel='dns-prefetch' href='//make.wordpress.org' />\n";
 
 		add_filter( 'wp_resource_hints', array( $this, '_add_dns_prefetch_domains' ), 10, 2 );
@@ -71,9 +71,9 @@
 	 */
 	function test_preconnect() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n" .
-		            "<link rel='preconnect' href='//wordpress.org'>\n" .
-		            "<link rel='preconnect' href='https://make.wordpress.org'>\n" .
-		            "<link rel='preconnect' href='http://google.com'>\n" .
-		            "<link rel='preconnect' href='http://w.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n" .
+		            "<link rel='preconnect' href='//wordpress.org' />\n" .
+		            "<link rel='preconnect' href='https://make.wordpress.org' />\n" .
+		            "<link rel='preconnect' href='http://google.com' />\n" .
+		            "<link rel='preconnect' href='http://w.org' />\n";
 
 		add_filter( 'wp_resource_hints', array( $this, '_add_preconnect_domains' ), 10, 2 );
@@ -99,8 +99,8 @@
 
 	function test_prerender() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n" .
-					"<link rel='prerender' href='https://make.wordpress.org/great-again'>\n" .
-					"<link rel='prerender' href='http://jobs.wordpress.net'>\n" .
-					"<link rel='prerender' href='//core.trac.wordpress.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n" .
+					"<link rel='prerender' href='https://make.wordpress.org/great-again' />\n" .
+					"<link rel='prerender' href='http://jobs.wordpress.net' />\n" .
+					"<link rel='prerender' href='//core.trac.wordpress.org' />\n";
 
 		add_filter( 'wp_resource_hints', array( $this, '_add_prerender_urls' ), 10, 2 );
@@ -125,6 +125,6 @@
 
 	function test_parse_url_dns_prefetch() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n" .
-					"<link rel='dns-prefetch' href='//make.wordpress.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n" .
+					"<link rel='dns-prefetch' href='//make.wordpress.org' />\n";
 
 		add_filter( 'wp_resource_hints', array( $this, '_add_dns_prefetch_long_urls' ), 10, 2 );
@@ -146,6 +146,6 @@
 
 	function test_dns_prefetch_styles() {
-		$expected = "<link rel='dns-prefetch' href='//fonts.googleapis.com'>\n" .
-					"<link rel='dns-prefetch' href='//s.w.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//fonts.googleapis.com' />\n" .
+					"<link rel='dns-prefetch' href='//s.w.org' />\n";
 
 		$args = array(
@@ -165,6 +165,6 @@
 
 	function test_dns_prefetch_scripts() {
-		$expected = "<link rel='dns-prefetch' href='//fonts.googleapis.com'>\n" .
-					"<link rel='dns-prefetch' href='//s.w.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//fonts.googleapis.com' />\n" .
+					"<link rel='dns-prefetch' href='//s.w.org' />\n";
 
 		$args = array(
@@ -183,6 +183,6 @@
 
 	function test_dns_prefetch_scripts_does_not_included_registered_only() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n";
-		$unexpected = "<link rel='dns-prefetch' href='//wordpress.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n";
+		$unexpected = "<link rel='dns-prefetch' href='//wordpress.org' />\n";
 
 		wp_register_script( 'jquery-elsewhere', 'https://wordpress.org/wp-includes/js/jquery/jquery.js' );
@@ -200,5 +200,5 @@
 	 */
 	function test_deregistered_scripts_are_ignored() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n";
 
 		wp_enqueue_script( 'test-script', 'http://example.org/script.js' );
@@ -213,5 +213,5 @@
 	 */
 	function test_malformed_urls() {
-		$expected = "<link rel='dns-prefetch' href='//s.w.org'>\n";
+		$expected = "<link rel='dns-prefetch' href='//s.w.org' />\n";
 
 		// Errant colon.