Index: /trunk/src/wp-content/themes/twentyeleven/readme.txt
===================================================================
--- /trunk/src/wp-content/themes/twentyeleven/readme.txt	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyeleven/readme.txt	(revision 40883)
@@ -2,6 +2,6 @@
 Contributors: the WordPress team
 Requires at least: WordPress 3.2
-Tested up to: WordPress 4.7-trunk
-Stable tag: 2.5
+Tested up to: WordPress 4.9-trunk
+Stable tag: 2.6
 License: GPLv2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
@@ -23,5 +23,5 @@
 == Copyright ==
 
-Twenty Eleven WordPress Theme, Copyright 2011-2016 WordPress.org & Automattic.com
+Twenty Eleven WordPress Theme, Copyright 2011-2017 WordPress.org & Automattic.com
 Twenty Eleven is Distributed under the terms of the GNU GPL
 
@@ -43,4 +43,9 @@
 
 == Changelog ==
+
+= 2.6 =
+* Released: June 8, 2017
+
+https://codex.wordpress.org/Twenty_Eleven_Theme_Changelog#Version_2.6
 
 = 2.5 =
Index: /trunk/src/wp-content/themes/twentyeleven/style.css
===================================================================
--- /trunk/src/wp-content/themes/twentyeleven/style.css	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyeleven/style.css	(revision 40883)
@@ -5,5 +5,5 @@
 Author URI: https://wordpress.org/
 Description: The 2011 theme for WordPress is sophisticated, lightweight, and adaptable. Make it yours with a custom menu, header image, and background -- then go further with available theme options for light or dark color scheme, custom link colors, and three layout choices. Twenty Eleven comes equipped with a Showcase page template that transforms your front page into a showcase to show off your best content, widget support galore (sidebar, three footer areas, and a Showcase page widget area), and a custom "Ephemera" widget to display your Aside, Link, Quote, or Status posts. Included are styles for print and for the admin editor, support for featured images (as custom header images on posts and pages and as large images on featured "sticky" posts), and special styles for six different post formats.
-Version: 2.5
+Version: 2.6
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
Index: /trunk/src/wp-content/themes/twentyfifteen/readme.txt
===================================================================
--- /trunk/src/wp-content/themes/twentyfifteen/readme.txt	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyfifteen/readme.txt	(revision 40883)
@@ -2,6 +2,6 @@
 Contributors: the WordPress team
 Requires at least: WordPress 4.1
-Tested up to: WordPress 4.8-trunk
-Version: 1.7
+Tested up to: WordPress 4.9-trunk
+Version: 1.8
 License: GPLv2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
@@ -56,4 +56,9 @@
 == Changelog ==
 
+= 1.8 =
+* Released: June 8, 2017
+
+https://codex.wordpress.org/Twenty_Fifteen_Theme_Changelog#Version_1.8
+
 = 1.7 =
 * Released: December 6, 2016
Index: /trunk/src/wp-content/themes/twentyfifteen/style.css
===================================================================
--- /trunk/src/wp-content/themes/twentyfifteen/style.css	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyfifteen/style.css	(revision 40883)
@@ -5,5 +5,5 @@
 Author URI: https://wordpress.org/
 Description: Our 2015 default theme is clean, blog-focused, and designed for clarity. Twenty Fifteen's simple, straightforward typography is readable on a wide variety of screen sizes, and suitable for multiple languages. We designed it using a mobile-first approach, meaning your content takes center-stage, regardless of whether your visitors arrive by smartphone, tablet, laptop, or desktop computer.
-Version: 1.7
+Version: 1.8
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
Index: /trunk/src/wp-content/themes/twentyfourteen/readme.txt
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/readme.txt	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyfourteen/readme.txt	(revision 40883)
@@ -2,6 +2,6 @@
 Contributors: the WordPress team
 Requires at least: WordPress 3.6
-Tested up to: WordPress 4.8-trunk
-Stable tag: 1.9
+Tested up to: WordPress 4.9-trunk
+Stable tag: 2.0
 License: GPLv2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
@@ -23,5 +23,5 @@
 == Copyright ==
 
-Twenty Fourteen WordPress Theme, Copyright 2013-2016 WordPress.org & Automattic.com
+Twenty Fourteen WordPress Theme, Copyright 2013-2017 WordPress.org & Automattic.com
 Twenty Fourteen is Distributed under the terms of the GNU GPL
 
@@ -50,4 +50,9 @@
 
 == Changelog ==
+
+= 2.0 =
+* Released: June 8, 2017
+
+https://codex.wordpress.org/Twenty_Fourteen_Theme_Changelog#Version_2.0
 
 = 1.9 =
Index: /trunk/src/wp-content/themes/twentyfourteen/style.css
===================================================================
--- /trunk/src/wp-content/themes/twentyfourteen/style.css	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyfourteen/style.css	(revision 40883)
@@ -5,5 +5,5 @@
 Author URI: https://wordpress.org/
 Description: In 2014, our default theme lets you create a responsive magazine website with a sleek, modern design. Feature your favorite homepage content in either a grid or a slider. Use the three widget areas to customize your website, and change your content's layout with a full-width page template and a contributor page to show off your authors. Creating a magazine website with WordPress has never been easier.
-Version: 1.9
+Version: 2.0
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
Index: /trunk/src/wp-content/themes/twentyseventeen/README.txt
===================================================================
--- /trunk/src/wp-content/themes/twentyseventeen/README.txt	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyseventeen/README.txt	(revision 40883)
@@ -2,6 +2,6 @@
 Contributors: the WordPress team
 Requires at least: WordPress 4.7
-Tested up to: WordPress 4.7
-Version: 1.2
+Tested up to: WordPress 4.9-trunk
+Version: 1.3
 License: GPLv2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
@@ -61,4 +61,9 @@
 == Changelog ==
 
+= 1.3 =
+* Released: June 8, 2017
+
+https://codex.wordpress.org/Twenty_Seventeen_Theme_Changelog#Version_1.3
+
 = 1.2 =
 * Released: April 18, 2017
Index: /trunk/src/wp-content/themes/twentyseventeen/style.css
===================================================================
--- /trunk/src/wp-content/themes/twentyseventeen/style.css	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyseventeen/style.css	(revision 40883)
@@ -5,5 +5,5 @@
 Author URI: https://wordpress.org/
 Description: Twenty Seventeen brings your site to life with header video and immersive featured images. With a focus on business sites, it features multiple sections on the front page as well as widgets, navigation and social menus, a logo, and more. Personalize its asymmetrical grid with a custom color scheme and showcase your multimedia content with post formats. Our default theme for 2017 works great in many languages, for any abilities, and on any device.
-Version: 1.2
+Version: 1.3
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
Index: /trunk/src/wp-content/themes/twentyten/readme.txt
===================================================================
--- /trunk/src/wp-content/themes/twentyten/readme.txt	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyten/readme.txt	(revision 40883)
@@ -2,6 +2,6 @@
 Contributors: the WordPress team
 Requires at least: WordPress 3.0
-Tested up to: WordPress 4.7-trunk
-Stable tag: 2.2
+Tested up to: WordPress 4.9-trunk
+Stable tag: 2.3
 License: GPLv2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
@@ -23,5 +23,5 @@
 == Copyright ==
 
-Twenty Ten WordPress Theme, Copyright 2010-2016 WordPress.org & Automattic.com
+Twenty Ten WordPress Theme, Copyright 2010-2017 WordPress.org & Automattic.com
 Twenty Ten is Distributed under the terms of the GNU GPL
 
@@ -37,4 +37,9 @@
 
 == Changelog ==
+
+= 2.3 =
+* Released: June 8, 2017
+
+https://codex.wordpress.org/Twenty_Ten_Theme_Changelog#Version_2.3
 
 = 2.2 =
Index: /trunk/src/wp-content/themes/twentyten/style.css
===================================================================
--- /trunk/src/wp-content/themes/twentyten/style.css	(revision 40882)
+++ /trunk/src/wp-content/themes/twentyten/style.css	(revision 40883)
@@ -5,5 +5,5 @@
 Author: the WordPress team
 Author URI: https://wordpress.org/
-Version: 2.2
+Version: 2.3
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
Index: /trunk/src/wp-content/themes/twentythirteen/readme.txt
===================================================================
--- /trunk/src/wp-content/themes/twentythirteen/readme.txt	(revision 40882)
+++ /trunk/src/wp-content/themes/twentythirteen/readme.txt	(revision 40883)
@@ -2,6 +2,6 @@
 Contributors: the WordPress team
 Requires at least: WordPress 3.6
-Tested up to: WordPress 4.8-trunk
-Stable tag: 2.1
+Tested up to: WordPress 4.9-trunk
+Stable tag: 2.2
 License: GPLv2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
@@ -23,5 +23,5 @@
 == Copyright ==
 
-Twenty Thirteen WordPress Theme, Copyright 2013-2016 WordPress.org & Automattic.com
+Twenty Thirteen WordPress Theme, Copyright 2013-2017 WordPress.org & Automattic.com
 Twenty Thirteen is Distributed under the terms of the GNU GPL
 
@@ -47,4 +47,9 @@
 
 == Changelog ==
+
+= 2.2 =
+* Released: June 8, 2017
+
+https://codex.wordpress.org/Twenty_Thirteen_Theme_Changelog#Version_2.2
 
 = 2.1 =
Index: /trunk/src/wp-content/themes/twentythirteen/style.css
===================================================================
--- /trunk/src/wp-content/themes/twentythirteen/style.css	(revision 40882)
+++ /trunk/src/wp-content/themes/twentythirteen/style.css	(revision 40883)
@@ -5,5 +5,5 @@
 Author URI: https://wordpress.org/
 Description: The 2013 theme for WordPress takes us back to the blog, featuring a full range of post formats, each displayed beautifully in their own unique way. Design details abound, starting with a vibrant color scheme and matching header images, beautiful typography and icons, and a flexible layout that looks great on any device, big or small.
-Version: 2.1
+Version: 2.2
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
Index: /trunk/src/wp-content/themes/twentytwelve/readme.txt
===================================================================
--- /trunk/src/wp-content/themes/twentytwelve/readme.txt	(revision 40882)
+++ /trunk/src/wp-content/themes/twentytwelve/readme.txt	(revision 40883)
@@ -2,6 +2,6 @@
 Contributors: the WordPress team
 Requires at least: WordPress 3.5
-Tested up to: WordPress 4.8-trunk
-Stable tag: 2.2
+Tested up to: WordPress 4.9-trunk
+Stable tag: 2.3
 License: GPLv2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html
@@ -23,5 +23,5 @@
 == Copyright ==
 
-Twenty Twelve WordPress Theme, Copyright 2012-2016 WordPress.org & Automattic.com
+Twenty Twelve WordPress Theme, Copyright 2012-2017 WordPress.org & Automattic.com
 Twenty Twelve is Distributed under the terms of the GNU GPL
 
@@ -43,4 +43,9 @@
 
 == Changelog ==
+
+= 2.3 =
+* Released: June 8, 2017
+
+https://codex.wordpress.org/Twenty_Twelve_Theme_Changelog#Version_2.3
 
 = 2.2 =
Index: /trunk/src/wp-content/themes/twentytwelve/style.css
===================================================================
--- /trunk/src/wp-content/themes/twentytwelve/style.css	(revision 40882)
+++ /trunk/src/wp-content/themes/twentytwelve/style.css	(revision 40883)
@@ -5,5 +5,5 @@
 Author URI: https://wordpress.org/
 Description: The 2012 theme for WordPress is a fully responsive theme that looks great on any device. Features include a front page template with its own widgets, an optional display font, styling for post formats on both index and single views, and an optional no-sidebar page template. Make it yours with a custom menu, header image, and background.
-Version: 2.2
+Version: 2.3
 License: GNU General Public License v2 or later
 License URI: http://www.gnu.org/licenses/gpl-2.0.html